﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Win32;

namespace Sfchart3d
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void ButtonBase_OnClick(object sender, RoutedEventArgs e)
        {
           // Chart3D.Save("3DChartSave.png");
            SaveFileDialog sfd = new SaveFileDialog();
            if (sfd.ShowDialog() == true)
            {
                using (Stream fs = sfd.OpenFile())
                {
                    Chart3D.Save(fs, new PngBitmapEncoder());
                }
            }
        }
    }

    public class ViewModel : ObservableCollection<DataValues>
    {
        public ViewModel()
        {
            Add(new DataValues("2008", 32));
            Add(new DataValues("2009", 34));
            Add(new DataValues("2010", 41));
            Add(new DataValues("2011", 42));
            Add(new DataValues("2012", 48));
            Add(new DataValues("2013", 45));
        }
    }

    public class DataValues
    {
        public string Year { get; set; }

        public double Count { get; set; }

        public DataValues(string year, double count)
        {
            Year = year;
            Count = count;
        }
    }
}
